//
//  AppConstant.swift
//  Product Calculator
//
//  Created by Suraj Kumar Mandal on 09/11/21.
//

import Foundation
import UIKit

struct AppConstant {
    static let GOOGLE_CLIENT_ID = "943833744003-m0b5sivh9uil14r0fuk7sa6dn79bokva.apps.googleusercontent.com"
    
    static let dateFormat1              = "yyyy-MM-dd"
    static let dateFormat2              = "dd/MM/yyyy"
    
    //Alert View Constants
    static let Ok                      = "OK"
    static let defaultTitle            = "Alert"
    static let defaultMsg              = "Something went wrong"
    static let internetAlertTitle      = "No Internet"
    static let internetAlertMessage    = "Internet connection is not available, please check your internet connection and try again"
    
    //Dashboard Menu Constants
    static let MENU_IMAGE = [
        "safe-deposit",
        "saving-money",
        "save-money",
        "salary"
    ]
    static let MENU_TITLE = [
        "Deposit / Bonds",
        "Small Savings Scheme",
        "Retirement Scheme",
        "Loans & Liabilities"
    ]
    
    //Sub-Menu Constants
    static let SUB_MENU_IMAGE_1 = [
        "search-1",
        "coins",
        "dollar",
        "cash"
    ]
    static let SUB_MENU_TITLE_1 = [
        "Fixed Deposit",
        "Bank-Recurring Deposit",
        "Bonds & Debentures",
        "CP / CD"
    ]
    
    static let SUB_MENU_IMAGE_2 = [
        "certificate",
        "award",
        "notepad",
        "money-bag",
        "coins",
        "profits",
        "locker"
    ]
    static let SUB_MENU_TITLE_2 = [
        "PO National Saving Certificates",
        "Kisan Vikas Patra",
        "PO Monthly Income Scheme",
        "PO Recurring Deposit",
        "PO Time Deposit",
        "Sukanya Samriddhi Scheme",
        "Senior Citizen Saving Scheme"
    ]
    
    static let SUB_MENU_IMAGE_3 = [
        "saving-money",
        "provident",
        "old-man",
        "pension",
        "armoured-van"
    ]
    static let SUB_MENU_TITLE_3 = [
        "Public Provident Fund",
        "Employee Provident Fund",
        "National Pension System",
        "Atal Pension Yojana",
        "Annuities"
    ]
    
    static let SUB_MENU_IMAGE_4 = [
        "calculator",
        "salary"
    ]
    static let SUB_MENU_TITLE_4 = [
        "EMI Based Loan",
        "Non-EMI Based Loan"
    ]
    
    //Fixed Deposit Picker Constants
    static let DEPOSIT_TYPE = [
        "Bank FD TDR",
        "Bank FD STDR"
    ]
    static let FIXED_DEPOSIT_TERM = [
        "Year",
        "Days"
    ]
    static let INTEREST_PAYOUT_FREQUENCY = [
        "Monthly",
        "Bi-Monthly",
        "Quarterly",
        "Triannually",
        "Half Yearly",
        "Annually"
    ]
    
    //Bank Recurring Constants
    static let AMOUNT_DEPOSIT_FREQUENCY = [
        "Monthly",
        "Bi-Monthly",
        "Quarterly",
        "Triannually",
        "Half Yearly",
        "Annually"
    ]
    static let TERM_YEARS = [
        "1",
        "2",
        "3",
        "4",
        "5",
        "6",
        "7",
        "8",
        "9",
        "10",
    ]
    static let TERM_MONTHS = [
        "0",
        "3",
        "6",
        "9"
    ]
    static let COMPOUND_FREQUENCY = [
        "Monthly",
        "Bi-Monthly",
        "Quarterly",
        "Triannually",
        "Half Yearly",
        "Annually"
    ]
    
    //EMI Based Loan Constants
    static let LOAN_CATEGORY = [
        "Home",
        "Auto",
        "Education",
        "Personal",
        "Business",
        "Loan Against Property",
        "Loan Against Shares",
        "Others"
    ]
    static let LOAN_AMOUNT_TYPE = [
        "Original Loan Amount(Rs)",
        "Outstanding Principal Today(Rs)"
    ]
    
    //PPF extension
    static let EXTENSION = [
        "Yes",
        "No"
    ]
    
    //EPF Constants
    static let CONTRIBUTION_AGE = [
        "18",
        "19",
        "20"
    ]
    static let WITHDRAWAL_AGE = [
        "30",
        "31",
        "32"
    ]
    
    
}

struct ApiUrl {
    
    static let BASE_URL = "https://testenvsix.finlabsindia.org/productCalculatorAPI/"
    
    static let GET_FDTDR                                = "getBankFDTDRDetails"
    static let GET_FDSTDR                               = "getBankFDSTDRCDCPOutputList"
    static let GET_RECURRING_DEPOSIT                    = "getRecurringDepositCalculatedList"
    static let GET_BOND_DEBENTURE                       = "getBondDebentureDetails"
    static let GET_BOND_DEBENTURE_OUTPUT_LIST           = "getBondDebentureOutputlist"
    static let GET_BANK_CPCD                            = "getBankCDCPOutputList"
    static let GET_PO_NATIONAL_SAVING                   = "getPONSCOutputList"
    static let GET_PO_NATIONAL_SAVING_INTEREST_RATE     = "getNSCInterestRateFromStartDate"
    static let GET_KVP_INTEREST_RATE                    = "getKVPInterestRateFromStartDate"
    static let GET_KISAN_VIKAS_PATRA                    = "getKisanVikasPatraDetails"
    static let GET_PO_MONTHLY_INCOME_SCHEME_INTEREST    = "getPOMISInterestRateFromStartDate"
    static let GET_PO_MONTHLY_INCOME_SCHEME             = "getPOMISDetails"
    static let GET_PO_RECURRING_DEPOSIT_INTEREST        = "getPORDInterestRateFromStartDate"
    static let GET_PO_RECURRING_DEPOSIT                 = "getPORecurringDepositDetails"
    static let GET_PO_TIME_DEPOSIT                      = "getPOTimeDepositDetails"
    static let GET_SUKANYA_SAMRIDDHI_INTEREST           = "getSukanyaInterestRateFromStartDate"
    static let GET_SUKANYA_SAMRIDDHI_OUTPUT             = "getSukanyaSamriddhiDetails"
    static let GET_SCSS_INTEREST_RATE                   = "getSCSSInterestRateFromStartDate"
    static let GET_SCSS_OUTPUT                          = "getSeniorCitizenSavingDetails"
    static let GET_PPF_INTEREST_RATE                    = "getPPFInterestRate"
    static let GET_PPF_WITH_EXTENSION                   = "getPPFDetails"
    static let GET_PPF_WITHOUT_EXTENSION                = "getPPFoutputDetails"
    static let GET_EPF_DETAILS                          = "getEPFDetails"
    static let GET_EPF_INTEREST_RATE                    = "getEPFInterestRate"
    static let GET_EPF_GROWTH_RATE                      = "getEPFGrowthRate"
    
    static let GET_EMI_LOAN                             = "getEMILoanDetails"
    static let GET_EMI_LOAN_OUTPUT_LIST                 = "getEMILoanOutputList"
    static let GET_NON_EMI_LOAN                         = "getnonEMIDetails"
    static let GET_NON_EMI_LOAN_OUTPUT_LIST             = "getnonEMILoanOutputList"
    
}
