//
//  EPFModel.swift
//  Product Calculator
//
//  Created by Suraj Kumar Mandal on 08/12/21.
//

import Foundation

// MARK: - EPFModel
class EPFModel {
    var clientDOB, planDate : String?
    var conUptoAge, epfWiDAge, salIncreaseMonth : Int?
    var currEPF, currEPS, monBasicDA, expSalInc, expEPFO, epfBalWithdraw, epsBalClientAge, totalInterestEarned, employeeCont, employerCont, currentInterestRate : Double?
    var lookupList = [EPFLookupList]()
    
    init(conUptoAge:Int, epfWiDAge:Int, salIncreaseMonth:Int, currEPF:Double, currEPS:Double, monBasicDA:Double, expSalInc:Double, expEPFO:Double, epfBalWithdraw:Double, epsBalClientAge:Double, totalInterestEarned:Double, employeeCont:Double, employerCont:Double, currentInterestRate:Double) {
        self.conUptoAge = conUptoAge
        self.epfWiDAge = epfWiDAge
        self.salIncreaseMonth = salIncreaseMonth
        self.currEPF = currEPF
        self.currEPS = currEPS
        self.monBasicDA = monBasicDA
        self.expSalInc = expSalInc
        self.expEPFO = expEPFO
        self.epfBalWithdraw = epfBalWithdraw
        self.epsBalClientAge = epsBalClientAge
        self.totalInterestEarned = totalInterestEarned
        self.employeeCont = employeeCont
        self.employerCont = employerCont
        self.currentInterestRate = currentInterestRate
    }
}

class EPFLookupList {
    let serialNumber, clientAge : Int?
    let refDate, financialYear, referenceMonth, displayDate : String?
    let monBasicDA, openingBalEPF, openingBalEPS, employeeContEPF, employerContEPF, employerContEPS, interestRateEPF, interestEarnedEPF, totalInterestEarnedEPF, closingBalEPF, closingBalEPS : Double?
    
    init(serialNumber:Int, clientAge:Int, refDate:String, financialYear:String, referenceMonth:String, displayDate:String, monBasicDA:Double, openingBalEPF:Double, openingBalEPS:Double, employeeContEPF:Double, employerContEPF:Double, employerContEPS:Double, interestRateEPF:Double, interestEarnedEPF:Double, totalInterestEarnedEPF:Double, closingBalEPF:Double, closingBalEPS:Double) {
        self.serialNumber = serialNumber
        self.clientAge = clientAge
        self.refDate = refDate
        self.financialYear = financialYear
        self.referenceMonth = referenceMonth
        self.displayDate = displayDate
        self.monBasicDA = monBasicDA
        self.openingBalEPF = openingBalEPF
        self.openingBalEPS = openingBalEPS
        self.employeeContEPF = employeeContEPF
        self.employerContEPF = employerContEPF
        self.employerContEPS = employerContEPS
        self.interestRateEPF = interestRateEPF
        self.interestEarnedEPF = interestEarnedEPF
        self.totalInterestEarnedEPF = totalInterestEarnedEPF
        self.closingBalEPF = closingBalEPF
        self.closingBalEPS = closingBalEPS
    }
}
